Subject: mboned: brief IMAD BOF summary

From: David Meyer <[email-masked]>
Date: Mon, 8 Aug 2005 11:15:03 -0700

The BOF ended with a number of ideas and tasks. Main
	takeaways included: 

	o We need to give IANA a policy tool to say no to
	  requests for static global space that is not being used
	  globally. This is a change in policy and from the IANA
	  presentation here lies a world of legal challenges, but
	  I find it hard to believe we could not address those.
	  In this  
 
	  In addition, it appeared that many of the folks in the
	  audience hadn't read the form, as the AS question *is*
	  there. However, it phrased in terms of GLOP (and
	  RFC2770; note: the web site needs to be updated; should
	  be RFC 3180/BCP: 53). Now, one can argue whether folks
	  who don't know what GLOP is (or how to read the RFC)
	  will or will not know if they have an AS, but on the
	  theory that more information is better....  
 	
	o We need to get a handle on how fast we are running out
	  of address space, why, and when. Basically getting the
          predictions for v4 for multicast space would be
	  great. This could also help IANA.  
 
	o We need to get the SSM spec out the door. That said, it
	  will unlikely help us get rid of all requests but
	  rather stop the problem from accelerating.
 
	  David Kessens and David Meyer took this action to talk
	  with Bill and Alex about how to accomplish this. 
 
	o Someone in the session said we should pursue EGLOP and
	  try to get allocations handled through the RIR
	  system. This of course was the point of the EGLOP
	  experiment. Another suggestion was to just have the
	  IANA assign out of the EGLOP space.
 
	o The issue of address discovery was also raised. There
	  where several ideas on how to do it. 

	o Invent the "BIG" scope.

	  This was an idea proposed by Mark Handley (and proposed
	  to be homed in 238/8).  

	o IGMP v2.1 (i.e., as simpler IGMP)

	o Update the IANA guidelines document, perhaps including
	  the flow-chart on the IANA site so it receives review.

	o Take EGLOP (RFC 31381) from Informational to BCP (like
	  we did with GLOP).  This would be necessary if we
	  wanted the IANA to assign from this space. 

 	Dave

---

From: Dino Farinacci <[email-masked]>
Date: Tue, 9 Aug 2005 20:45:24 -0700

>> 	takeaways included:=20

    Dave, there were two more that seem not to make your list:

    o Go to IPv6 multicast.
    o Use SSM in the core and have IGMPv2-to-IGMPv3 translators on the edge.
      This will allow us to get to SSM regardless of which IGMP version hosts
      support. Works for even IGMPv1 only hosts.

Dino
_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

---

From: David Meyer <[email-masked]>
Date: Wed, 10 Aug 2005 09:23:04 -0700

>       support. Works for even IGMPv1 only hosts.

	Thanks Dino.

	Dave

---

From: Jerome Durand <[email-masked]>
Date: Mon, 22 Aug 2005 17:18:05 +0200

>     o Go to IPv6 multicast.

BTW, if you guys are interested in having information about the current 
IPv6 multicast deployment status, please take a look at 
http://www.m6bone.net

Feel free to connect, test the related protocols and apps and make 
comments! Note there is also the M6Bone mailing-list where around 230 
people exchange information about IPv6 multicast.

Thanks

Jerome